## org.biojava.ontology
Class OntologyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.ontology.OntologyException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AlreadyExistsException, InvalidTermException

    public class OntologyException

extends Exception

Thrown to indicate an error in an Ontology object

Since:
  1.4
Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`OntologyException()`
`OntologyException(String message)`
`OntologyException(String message, Throwable cause)`
`OntologyException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OntologyException

    public OntologyException()

### OntologyException

    public OntologyException(String message)

### OntologyException

    public OntologyException(Throwable cause)

### OntologyException

    public OntologyException(String message,
                             Throwable cause)